<?php
//about theme info
add_action( 'admin_menu', 'software_agency_gettingstarted' );
function software_agency_gettingstarted() {
	add_theme_page( esc_html__('About Software Agency', 'software-agency'), esc_html__('About Software Agency', 'software-agency'), 'edit_theme_options', 'software_agency_guide', 'software_agency_mostrar_guide');
}

// Add a Custom CSS file to WP Admin Area
function software_agency_admin_theme_style() {
	wp_enqueue_style('software-agency-custom-admin-style', esc_url(get_template_directory_uri()) . '/inc/getstart/getstart.css');
	wp_enqueue_script('software-agency-tabs', esc_url(get_template_directory_uri()) . '/inc/getstart/js/tab.js');
}
add_action('admin_enqueue_scripts', 'software_agency_admin_theme_style');

//guidline for about theme
function software_agency_mostrar_guide() { 
	//custom function about theme customizer
	$software_agency_return = add_query_arg( array()) ;
	$software_agency_theme = wp_get_theme( 'software-agency' );
?>

<div class="wrapper-info">
    <div class="col-left">
    	<h2><?php esc_html_e( 'Welcome to Software Agency', 'software-agency' ); ?> <span class="version"><?php esc_html_e( 'Version', 'software-agency' ); ?>: <?php echo esc_html($software_agency_theme['Version']);?></span></h2>
    	<p><?php esc_html_e('All our WordPress themes are modern, minimalist, 100% responsive, seo-friendly,feature-rich, and multipurpose that best suit designers, bloggers and other professionals who are working in the creative fields.','software-agency'); ?></p>
    </div>
    <div class="tab-sec">
    	<div class="tab">
			<button class="tablinks" onclick="software_agency_open_tab(event, 'lite_theme')"><?php esc_html_e( 'Setup With Customizer', 'software-agency' ); ?></button>
			<button class="tablinks" onclick="software_agency_open_tab(event, 'block_pattern')"><?php esc_html_e( 'Setup With Block Pattern', 'software-agency' ); ?></button>
			<button class="tablinks" onclick="software_agency_open_tab(event, 'gutenberg_editor')"><?php esc_html_e( 'Setup With Gutunberg Block', 'software-agency' ); ?></button>
		</div>

		<?php
			$software_agency_plugin_custom_css = '';
			if(class_exists('Ibtana_Visual_Editor_Menu_Class')){
				$software_agency_plugin_custom_css ='display: block';
			}
		?>
		<div id="lite_theme" class="tabcontent open">
			<?php if(!class_exists('Ibtana_Visual_Editor_Menu_Class')){ 
				$plugin_ins = Software_Agency_Plugin_Activation_Settings::get_instance();
				$software_agency_actions = $plugin_ins->recommended_actions;
				?>
				<div class="software-agency-recommended-plugins">
				    <div class="software-agency-action-list">
				        <?php if ($software_agency_actions): foreach ($software_agency_actions as $key => $software_agency_actionValue): ?>
				                <div class="software-agency-action" id="<?php echo esc_attr($software_agency_actionValue['id']);?>">
			                        <div class="action-inner">
			                            <h3 class="action-title"><?php echo esc_html($software_agency_actionValue['title']); ?></h3>
			                            <div class="action-desc"><?php echo esc_html($software_agency_actionValue['desc']); ?></div>
			                            <?php echo wp_kses_post($software_agency_actionValue['link']); ?>
			                            <a class="ibtana-skip-btn" get-start-tab-id="lite-theme-tab" href="javascript:void(0);"><?php esc_html_e('Skip','software-agency'); ?></a>
			                        </div>
				                </div>
				            <?php endforeach;
				        endif; ?>
				    </div>
				</div>
			<?php } ?>
			<div class="lite-theme-tab" style="<?php echo esc_attr($software_agency_plugin_custom_css); ?>">
				<h3><?php esc_html_e( 'Lite Theme Information', 'software-agency' ); ?></h3>
				<hr class="h3hr">			  	
			  	<div class="col-left-inner">
			  		<h4><?php esc_html_e( 'Theme Documentation', 'software-agency' ); ?></h4>
					<p><?php esc_html_e( 'If you need any assistance regarding setting up and configuring the Theme, our documentation is there.', 'software-agency' ); ?></p>
					<div class="info-link">
						<a href="<?php echo esc_url( SOFTWARE_AGENCY_FREE_THEME_DOC ); ?>" target="_blank"> <?php esc_html_e( 'Documentation', 'software-agency' ); ?></a>
					</div>
					<hr>
					<h4><?php esc_html_e('Theme Customizer', 'software-agency'); ?></h4>
					<p> <?php esc_html_e('To begin customizing your website, start by clicking "Customize".', 'software-agency'); ?></p>
					<div class="info-link">
						<a target="_blank" href="<?php echo esc_url( admin_url('customize.php') ); ?>"><?php esc_html_e('Customizing', 'software-agency'); ?></a>
					</div>
					<hr>				
					<h4><?php esc_html_e('Having Trouble, Need Support?', 'software-agency'); ?></h4>
					<p> <?php esc_html_e('Our dedicated team is well prepared to help you out in case of queries and doubts regarding our theme.', 'software-agency'); ?></p>
					<div class="info-link">
						<a href="<?php echo esc_url( SOFTWARE_AGENCY_SUPPORT ); ?>" target="_blank"><?php esc_html_e('Support Forum', 'software-agency'); ?></a>
					</div>
					<hr>
					<h4><?php esc_html_e('Reviews & Testimonials', 'software-agency'); ?></h4>
					<p> <?php esc_html_e('All the features and aspects of this WordPress Theme are phenomenal. I\'d recommend this theme to all.', 'software-agency'); ?></p>
					<div class="info-link">
						<a href="<?php echo esc_url( SOFTWARE_AGENCY_REVIEW ); ?>" target="_blank"><?php esc_html_e('Reviews', 'software-agency'); ?></a>
					</div>
			  	</div>
				<div class="col-right-inner">
					<h3 class="page-template"><?php esc_html_e('How to set up Home Page Template','software-agency'); ?></h3>
				  	<hr class="h3hr">
					<p><?php esc_html_e('Follow these instructions to setup Home page.','software-agency'); ?></p>
                  	<p><span class="strong"><?php esc_html_e('1. Create a new page :','software-agency'); ?></span><?php esc_html_e(' Go to ','software-agency'); ?>
					  	<b><?php esc_html_e(' Dashboard >> Pages >> Add New Page','software-agency'); ?></b></p>
                  	<p><?php esc_html_e('Name it as "Home" then select the template "Custom Home Page".','software-agency'); ?></p>
                  	<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getstart/images/home-page-template.png" alt="" />
                  	<p><span class="strong"><?php esc_html_e('2. Set the front page:','software-agency'); ?></span><?php esc_html_e(' Go to ','software-agency'); ?>
					  	<b><?php esc_html_e(' Settings >> Reading ','software-agency'); ?></b></p>
				  	<p><?php esc_html_e('Select the option of Static Page, now select the page you created to be the homepage, while another page to be your default page.','software-agency'); ?></p>
                  	<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getstart/images/set-front-page.png" alt="" />
                  	<p><?php esc_html_e(' Once you are done with setup, then follow the','software-agency'); ?> <a class="doc-links" href="<?php echo esc_url( SOFTWARE_AGENCY_FREE_THEME_DOC ); ?>" target="_blank"><?php esc_html_e('Documentation','software-agency'); ?></a></p>
			  	</div>
			</div>
		</div>	
		<div id="block_pattern" class="tabcontent">
			<?php if(!class_exists('Ibtana_Visual_Editor_Menu_Class')){ 
			$plugin_ins = Software_Agency_Plugin_Activation_Settings::get_instance();
			$software_agency_actions = $plugin_ins->recommended_actions;
			?>
				<div class="software-agency-recommended-plugins">
				    <div class="software-agency-action-list">
				        <?php if ($software_agency_actions): foreach ($software_agency_actions as $key => $software_agency_actionValue): ?>
				                <div class="software-agency-action" id="<?php echo esc_attr($software_agency_actionValue['id']);?>">
			                        <div class="action-inner">
			                            <h3 class="action-title"><?php echo esc_html($software_agency_actionValue['title']); ?></h3>
			                            <div class="action-desc"><?php echo esc_html($software_agency_actionValue['desc']); ?></div>
			                            <?php echo wp_kses_post($software_agency_actionValue['link']); ?>
			                            <a class="ibtana-skip-btn" href="javascript:void(0);" get-start-tab-id="gutenberg-editor-tab"><?php esc_html_e('Skip','software-agency'); ?></a>
			                        </div>
				                </div>
				            <?php endforeach;
				        endif; ?>
				    </div>
				</div>
			<?php } ?>
			<div class="gutenberg-editor-tab" style="<?php echo esc_attr($software_agency_plugin_custom_css); ?>">
			  	<h3><?php esc_html_e( 'Block Patterns', 'software-agency' ); ?></h3>
				<hr class="h3hr">
				<p><?php esc_html_e('Follow the below instructions to setup Home page with Block Patterns.','software-agency'); ?></p>
              	<p><b><?php esc_html_e('Click on Below Add new page button >> Click on "+" Icon >> Click Pattern Tab >> Click on homepage sections >> Publish.','software-agency'); ?></span></b></p>
              	<div class="software-agency-pattern-page">
			    	<a href="javascript:void(0)" class="vw-pattern-page-btn button-primary button"><?php esc_html_e('Add New Page','software-agency'); ?></a>
			    </div>
              	<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getstart/images/block-pattern.png" alt="" />				
	        </div>
		</div>
		<div id="gutenberg_editor" class="tabcontent">
			<?php if(!class_exists('Ibtana_Visual_Editor_Menu_Class')){ 
			$plugin_ins = Software_Agency_Plugin_Activation_Settings::get_instance();
			$software_agency_actions = $plugin_ins->recommended_actions;
			?>
				<div class="software-agency-recommended-plugins">
				    <div class="software-agency-action-list">
				        <?php if ($software_agency_actions): foreach ($software_agency_actions as $key => $software_agency_actionValue): ?>
				                <div class="software-agency-action" id="<?php echo esc_attr($software_agency_actionValue['id']);?>">
			                        <div class="action-inner plugin-activation-redirect">
			                            <h3 class="action-title"><?php echo esc_html($software_agency_actionValue['title']); ?></h3>
			                            <div class="action-desc"><?php echo esc_html($software_agency_actionValue['desc']); ?></div>
			                            <?php echo wp_kses_post($software_agency_actionValue['link']); ?>
			                        </div>
				                </div>
				            <?php endforeach;
				        endif; ?>
				    </div>
				</div>
			<?php }else{ ?>
				<h3><?php esc_html_e( 'Gutunberg Blocks', 'software-agency' ); ?></h3>
				<hr class="h3hr">
				<div class="software-agency-pattern-page">
			    	<a href="<?php echo esc_url( admin_url( 'admin.php?page=ibtana-visual-editor-templates' ) ); ?>" class="vw-pattern-page-btn ibtana-dashboard-page-btn button-primary button"><?php esc_html_e('Ibtana Settings','software-agency'); ?></a>
			    </div>
			<?php } ?>
		</div>
	</div>
</div>

<?php } ?>